Both 14.04 and 14.10 are very well beyond their end of standard support. I'm not even sure if there is extended support for them

It is entirely possible that a release that old will simply not...